Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPDataSetWriter Class Reference

`#include <vtkPDataSetWriter.h>`

Inheritance diagram for vtkPDataSetWriter:

[legend]
Collaboration diagram for vtkPDataSetWriter:

[legend]
List of all members.

## Detailed Description

Manages writing pieces of a data set.

Date:
  2002/08/12 15:20:30

Revision:
  1.8

vtkPDataSetWriter will write a piece of a file, and will also create a metadata file that lists all of the files in a data set.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Hoffman, Bill (53%)
  - Law, Charles (40%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPDataSetWriter.h)`
  - .`cxx` (`/Parallel/vtkPDataSetWriter.cxx)`

Tests:
  vtkPDataSetWriter (Tests)

Definition at line 50 of file vtkPDataSetWriter.h.

## Public Types
typedef vtkDataSetWriter | Superclass
## Public Methods
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | Write ()
void | SetNumberOfPieces (int num)
virtual int | GetNumberOfPieces ()
virtual void | SetGhostLevel (int)
virtual int | GetGhostLevel ()
virtual void | SetStartPiece (int)
virtual int | GetStartPiece ()
virtual void | SetEndPiece (int)
virtual int | GetEndPiece ()
virtual void | SetFilePattern (const char *)
virtual char * | GetFilePattern ()
virtual void | SetUseRelativeFileNames (int)
virtual int | GetUseRelativeFileNames ()
virtual void | UseRelativeFileNamesOn ()
virtual void | UseRelativeFileNamesOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPDataSetWriter * | SafeDownCast (vtkObject *o)
vtkPDataSetWriter * | New ()
## Protected Methods
| vtkPDataSetWriter ()
| ~vtkPDataSetWriter ()
ostream * | OpenFile ()
void | WriteUnstructuredMetaData (vtkDataSet *input, char *root, char *str, ostream *fptr)
void | WriteImageMetaData (vtkImageData *input, char *root, char *str, ostream *fptr)
void | WriteRectilinearGridMetaData (vtkRectilinearGrid *input, char *root, char *str, ostream *fptr)
void | WriteStructuredGridMetaData (vtkStructuredGrid *input, char *root, char *str, ostream *fptr)
## Protected Attributes
int | StartPiece
int | EndPiece
int | NumberOfPieces
int | GhostLevel
int | UseRelativeFileNames
char * | FilePattern

## Member Typedef Documentation

typedef vtkDataSetWriter vtkPDataSetWriter::Superclass

| Reimplemented from vtkDataSetWriter. Definition at line 54 of file vtkPDataSetWriter.h.

## Constructor & Destructor Documentation

vtkPDataSetWriter::vtkPDataSetWriter | ( |  | ) | `[protected]`

vtkPDataSetWriter::~vtkPDataSetWriter | ( |  | ) | `[protected]`

## Member Function Documentation

void vtkPDataSetWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetWriter.

virtual const char* vtkPDataSetWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetWriter.

int vtkPDataSetWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetWriter.

virtual int vtkPDataSetWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetWriter.

vtkPDataSetWriter* vtkPDataSetWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetWriter.

vtkPDataSetWriter* vtkPDataSetWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkDataSetWriter.

virtual void vtkPDataSetWriter::Write | ( |  | ) | `[virtual]`

| Write the pvtk file and cooresponding vtk files. Reimplemented from vtkWriter.

void vtkPDataSetWriter::SetNumberOfPieces | ( | int | num | ) |

| This is how many pieces the whole data set will be divided into.

virtual int vtkPDataSetWriter::GetNumberOfPieces | ( |  | ) | `[virtual]`

| This is how many pieces the whole data set will be divided into.

virtual void vtkPDataSetWriter::SetGhostLevel | ( | int |  | ) | `[virtual]`

| Extra ghost cells will be written out to each piece file if this value is larger than 0.

virtual int vtkPDataSetWriter::GetGhostLevel | ( |  | ) | `[virtual]`

| Extra ghost cells will be written out to each piece file if this value is larger than 0.

virtual void vtkPDataSetWriter::SetStartPiece | ( | int |  | ) | `[virtual]`

| This is the range of pieces that that this writer is responsible for writing. All pieces must be written by some process. The process that writes piece 0 also writes the pvtk file that lists all the piece file names.

virtual int vtkPDataSetWriter::GetStartPiece | ( |  | ) | `[virtual]`

| This is the range of pieces that that this writer is responsible for writing. All pieces must be written by some process. The process that writes piece 0 also writes the pvtk file that lists all the piece file names.

virtual void vtkPDataSetWriter::SetEndPiece | ( | int |  | ) | `[virtual]`

| This is the range of pieces that that this writer is responsible for writing. All pieces must be written by some process. The process that writes piece 0 also writes the pvtk file that lists all the piece file names.

virtual int vtkPDataSetWriter::GetEndPiece | ( |  | ) | `[virtual]`

| This is the range of pieces that that this writer is responsible for writing. All pieces must be written by some process. The process that writes piece 0 also writes the pvtk file that lists all the piece file names.

virtual void vtkPDataSetWriter::SetFilePattern | ( | const char * |  | ) | `[virtual]`

| This file pattern uses the file name and piece number to contruct a file name for the piece file.

virtual char* vtkPDataSetWriter::GetFilePattern | ( |  | ) | `[virtual]`

| This file pattern uses the file name and piece number to contruct a file name for the piece file.

virtual void vtkPDataSetWriter::SetUseRelativeFileNames | ( | int |  | ) | `[virtual]`

| This flag determines whether to use absolute paths for the piece files. By default the pieces are put in the main directory, and the piece file names in the meta data pvtk file are relative to this directory. This should make moving the whole lot to another directory, an easier task.

virtual int vtkPDataSetWriter::GetUseRelativeFileNames | ( |  | ) | `[virtual]`

| This flag determines whether to use absolute paths for the piece files. By default the pieces are put in the main directory, and the piece file names in the meta data pvtk file are relative to this directory. This should make moving the whole lot to another directory, an easier task.

virtual void vtkPDataSetWriter::UseRelativeFileNamesOn | ( |  | ) | `[virtual]`

| This flag determines whether to use absolute paths for the piece files. By default the pieces are put in the main directory, and the piece file names in the meta data pvtk file are relative to this directory. This should make moving the whole lot to another directory, an easier task.

virtual void vtkPDataSetWriter::UseRelativeFileNamesOff | ( |  | ) | `[virtual]`

| This flag determines whether to use absolute paths for the piece files. By default the pieces are put in the main directory, and the piece file names in the meta data pvtk file are relative to this directory. This should make moving the whole lot to another directory, an easier task.

ostream* vtkPDataSetWriter::OpenFile | ( |  | ) | `[protected]`

void vtkPDataSetWriter::WriteUnstructuredMetaData | ( | vtkDataSet * | input,
|  | char * | root,
|  | char * | str,
|  | ostream * | fptr
| ) | `[protected]`

void vtkPDataSetWriter::WriteImageMetaData | ( | vtkImageData * | input,
|  | char * | root,
|  | char * | str,
|  | ostream * | fptr
| ) | `[protected]`

void vtkPDataSetWriter::WriteRectilinearGridMetaData | ( | vtkRectilinearGrid * | input,
|  | char * | root,
|  | char * | str,
|  | ostream * | fptr
| ) | `[protected]`

void vtkPDataSetWriter::WriteStructuredGridMetaData | ( | vtkStructuredGrid * | input,
|  | char * | root,
|  | char * | str,
|  | ostream * | fptr
| ) | `[protected]`

## Member Data Documentation

int vtkPDataSetWriter::StartPiece`[protected]`

| Definition at line 118 of file vtkPDataSetWriter.h.

int vtkPDataSetWriter::EndPiece`[protected]`

| Definition at line 119 of file vtkPDataSetWriter.h.

int vtkPDataSetWriter::NumberOfPieces`[protected]`

| Definition at line 120 of file vtkPDataSetWriter.h.

int vtkPDataSetWriter::GhostLevel`[protected]`

| Definition at line 121 of file vtkPDataSetWriter.h.

int vtkPDataSetWriter::UseRelativeFileNames`[protected]`

| Definition at line 123 of file vtkPDataSetWriter.h.

char* vtkPDataSetWriter::FilePattern`[protected]`

| Definition at line 125 of file vtkPDataSetWriter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPDataSetWriter.h